dots.v2.databases.byDatabase_cluster_uuid().sql_mode.put()
Generated on 13 Nov 2026
from DoTs version
v1.24.0
Usage
client.v2.databases.byDatabase_cluster_uuid(database_cluster_uuid).sql_mode.put(body: Sql_mode, requestConfiguration?: RequestConfiguration<object>): Promise<void>Description
To configure the SQL modes for an existing MySQL cluster, send a PUT request to /v2/databases/{database_cluster_uuid}/sql_mode specifying the desired modes. See the official MySQL 8 documentation for a full list of supported SQL modes.
A successful request will receive a 204 No Content status code with no body in response.
Parameters
Path Parameters
database_cluster_uuidstring requiredExample:
9cc10173-e9ea-4176-9dbc-a4cee4c4ff30A unique identifier for a database cluster.
Request Body
sqlModestring requiredExample:
ANSI,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION,NO_ZERO_DATE,NO_ZERO_IN_DATE,STRICT_ALL_TABLESA string specifying the configured SQL modes for the MySQL cluster.
Request Sample
More Information
See /v2/databases/{database_cluster_uuid}/sql_mode in the API reference for additional detail on responses, headers, parameters, and more.